> ## Documentation Index
> Fetch the complete documentation index at: https://developer.vanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all security tasks

> 
List `SecurityTask` resources for the given application.

** Headers **
```
Authorization: Bearer <access_token>
```

** Scopes **
```
connectors.self:read-resource
```




## OpenAPI

````yaml /reference/build-integrations.json get /v1/resources/security_task
openapi: 3.0.1
info:
  title: Build integrations
  description: >-
    The API that enables syncing and viewing resources


    **Note for Vanta Gov (FedRAMP) customers:** Select `Vanta Gov (FedRAMP)`
    from the server dropdown to issue requests against
    `https://api.vanta-gov.com`. The OAuth token and authorization URLs shown
    below default to the commercial hosts — Gov customers should replace
    `api.vanta.com` with `api.vanta-gov.com` and `app.vanta.com` with
    `app.vanta-gov.com`.
  termsOfService: https://www.vanta.com/terms
  contact:
    name: API Support
    url: https://help.vanta.com/
    email: support@vanta.com
  license:
    name: Vanta Terms of Service
    url: https://www.vanta.com/terms
  version: 0.0.1
servers:
  - url: https://api.vanta.com
    description: Vanta (Commercial)
  - url: https://api.vanta-gov.com
    description: Vanta Gov (FedRAMP)
security:
  - oauth:
      - connectors.self:read-resource
      - connectors.self:write-resource
tags:
  - name: API Endpoint Vulnerabilities
  - name: Background Checks
  - name: Custom Resources
  - name: Documents
  - name: MacOS User Computers
  - name: Package Vulnerabilities
  - name: Secrets
  - name: Security Tasks
  - name: Static Code Analysis Vulnerabilities
  - name: User Accounts
  - name: User Security Training Statuses
  - name: Vulnerable Components
  - name: Windows User Computers
paths:
  /v1/resources/security_task:
    get:
      tags:
        - Security Tasks
      summary: List all security tasks
      description: |

        List `SecurityTask` resources for the given application.

        ** Headers **
        ```
        Authorization: Bearer <access_token>
        ```

        ** Scopes **
        ```
        connectors.self:read-resource
        ```
      operationId: get-SecurityTask
      parameters:
        - name: resourceId
          in: query
          schema:
            type: string
          required: true
          description: >-
            Vanta generated identifier for the given resource, and can be found
            on the developer console page. See the list of registered resources
            and their IDs on
            https://app.vanta.com/settings/developer-console/<app_id>?tab=resources
      responses:
        '200':
          description: List of resources.
          content:
            application/json:
              schema:
                type: object
                properties:
                  resources:
                    type: array
                    items:
                      properties:
                        displayName:
                          type: string
                          description: >-
                            A human readable label for this resource - will be
                            shown as-is in inventory page.
                        uniqueId:
                          type: string
                          description: A stable global identifier for this resource.
                        externalUrl:
                          type: string
                          description: >-
                            A link to this resource on the partner site. This
                            must be a HTTPS URL.
                        taskId:
                          type: string
                          description: >-
                            The task ID, as present in the source application.
                            This will be shown in Vanta to help customers match
                            tasks if necessary.
                        taskTitle:
                          type: string
                          description: >-
                            The title of the task, as present in the source
                            application. This will be shown in Vanta to help
                            customers match tasks if necessary.
                        createdTimestamp:
                          type: string
                          format: date-time
                          description: When the task was created.
                        taskState:
                          description: >-
                            The status of the task. If your application supports
                            additional states, use the closest approximation.
                          enum:
                            - OPEN
                            - IN_PROGRESS
                            - CLOSED
                        priority:
                          description: >-
                            Priorities are mapped against SLAs for tasks. If
                            your task system does not have fixed priorities,
                            consider letting users configure priorities through
                            labels.
                          enum:
                            - P0
                            - P1
                            - P2
                            - P3
                            - P4
                        assignees:
                          items:
                            type: string
                            description: Email address of the assignee.
                          type: array
                          description: >-
                            The set of users assigned to the tasks. Emails do
                            not necessarily need to be Vanta users.
                        creator:
                          type: string
                          description: The creator of the task.
                        labels:
                          items:
                            type: string
                            description: Each tag.
                          type: array
                          description: The set of task tags or labels.
                        closedTimestamp:
                          type: string
                          format: date-time
                          description: >-
                            When the task was closed, if the task was closed.
                            Required if `taskState` is `CLOSED`, otherwise must
                            be absent.
                        updatedTimestamp:
                          type: string
                          format: date-time
                          description: When the task was last updated.
                      required:
                        - displayName
                        - uniqueId
                        - externalUrl
                        - taskId
                        - taskTitle
                        - createdTimestamp
                        - taskState
                        - priority
                        - assignees
                        - creator
                        - labels
components:
  securitySchemes:
    oauth:
      type: oauth2
      x-default: vat_llamainapajama
      flows:
        authorizationCode:
          authorizationUrl: https://app.vanta.com/oauth/authorize
          tokenUrl: https://api.vanta.com/oauth/token
          scopes:
            connectors.self:write-resource: Send data to your account.
            connectors.self:read-resource: Read data from your account.

````